New refund request
Refunds are only available when using Volt Connect
Usage
Pass the id of the existing payment in the URL and the amount and reference for the refund in the body of the request.
Checking eligibility before requesting a refund
You can get the eligibility for a refund using GET /payments/{id}/refund-details
More information
Full details on how to use refunds, with details of notifications you can expect, can be found in our comprehensive integration guides.
Path Parameters
ID of the payment
Header Parameters
Optional - but recommended - to avoid duplicate refund requests
uuidOptional - applicable if Volt is your Connect partner
Request Body
application/json
Details of the refund you'd like to request for this payment
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://connect-api-sandbox.volt.io/payments/93b85f3c-76eb-4316-b1ae-f3370ddc59bc/request-refund" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "93b85f3c-76eb-4316-b1ae-f3370ddc59bc"
}{
"exception": {
"code": 403,
"message": "Payouts are not enabled for your account"
}
}{
"exception": {
"code": 403,
"message": "A resource has already been created with this idempotency key."
}
}{
"exception": {
"code": 422,
"message": "You cannot send payouts to this beneficiary"
}
}Check refund eligibility GET
**Refunds are only available when using Volt Connect** ### Usage Pass the **id** of the existing payment in the URL to check whether this payment is eligible for a refund. ### More information Full details on how to request refunds, with full details of notifications you can expect, can be found in our comprehensive integration guides.
Accepting or declining Verification of Payee result for transaction PATCH
Next Page